#pragma once

#include "Propulsion.h"

namespace Passer {
namespace RoboidControl {

class DifferentialDrive : public Propulsion {
 public:
  DifferentialDrive();
  DifferentialDrive(Placement leftMotorPlacement,
                    Placement rightMotorPlacement);
  void SetTargetSpeeds(float leftSpeed, float rightSpeed);

  virtual void SetTwistSpeed(float forward, float yaw) override;
  virtual void SetTwistSpeed(float forward, float yaw, float pitch) override;
};

}  // namespace RoboidControl
}  // namespace Passer
using namespace Passer::RoboidControl;